// Real indices
// 2-handed definitions
// 2-handed wounded definitions
// Begin weapon specific animations
#define		CHARANIM_NOTAVAIL						0x7FFFFFFF
                                                	
#define		CHARANIM_POSE							0
#define		CHARANIM_WALK							1
#define		CHARANIM_RUN							2 
#define		CHARANIM_FORWARDRIGHT					3 
#define		CHARANIM_STRAFERIGHT					4 
#define		CHARANIM_BACKWARDRIGHT					5 
#define		CHARANIM_WALKBACKWARD					6 
#define		CHARANIM_BACKWARDLEFT					7 
#define		CHARANIM_STRAFELEFT						8 
#define		CHARANIM_FORWARDLEFT					9 
#define		CHARANIM_TURNLEFT						10
#define		CHARANIM_TURNRIGHT						11
#define		CHARANIM_STAND							12
#define		CHARANIM_CROUCH							13
#define		CHARANIM_CUSTOMIDLE1					14
#define		CHARANIM_CUSTOMIDLE2					15
#define		CHARANIM_CUSTOMIDLE3					16
#define		CHARANIM_CUSTOMIDLE4					17
#define		CHARANIM_DODGELEFT						18
#define		CHARANIM_DODGERIGHT						19
#define		CHARANIM_DODGEFORWARD					20
#define		CHARANIM_DODGEBACKWARD					21
#define		CHARANIM_DODGEFORWARDLEFT				22
#define		CHARANIM_DODGEFORWARDRIGHT				23
#define		CHARANIM_DODGEBACKWARDLEFT				24
#define		CHARANIM_DODGEBACKWARDRIGHT				25
#define		CHARANIM_SHOOTDODGELEFT					26
#define		CHARANIM_SHOOTDODGERIGHT				27
#define		CHARANIM_SHOOTDODGEFORWARD				28
#define		CHARANIM_SHOOTDODGEBACKWARD				29
#define		CHARANIM_SHOOTDODGEFORWARDLEFT			30
#define		CHARANIM_SHOOTDODGEFORWARDRIGHT			31
#define		CHARANIM_SHOOTDODGEBACKWARDLEFT			32
#define		CHARANIM_SHOOTDODGEBACKWARDRIGHT		33
#define		CHARANIM_SHOOTDODGELEFT_GETUP			34
#define		CHARANIM_SHOOTDODGERIGHT_GETUP			35
#define		CHARANIM_SHOOTDODGEFORWARD_GETUP		36
#define		CHARANIM_SHOOTDODGEBACKWARD_GETUP		37
#define		CHARANIM_JUMP							38
#define		CHARANIM_JUMPFORWARD					39
#define		CHARANIM_JUMPFORWARDLEFT				40	
#define		CHARANIM_JUMPFORWARDRIGHT				41	
#define		CHARANIM_FALL							42
#define		CHARANIM_LAND							43
#define		CHARANIM_USE							44
#define		CHARANIM_GETWEAPON						45
#define		CHARANIM_HOLSTERWEAPON					46
#define		CHARANIM_GETDAMAGE						47
#define		CHARANIM_GETDAMAGECROUCHED				48
#define		CHARANIM_RANDOMDEATH1					49
#define		CHARANIM_RANDOMDEATH2					50
#define		CHARANIM_RANDOMDEATH3					51
#define		CHARANIM_RANDOMDEATH4					52
#define		CHARANIM_SHOTGUNDEATH					53
#define		CHARANIM_SHOTGUNDEATH2					54
#define		CHARANIM_BURNINGDEATH					55
#define		CHARANIM_BURNINGDEATH2					56
#define		CHARANIM_FALLINGDEATH					57
#define		CHARANIM_GRENADEDEATH					58
#define		CHARANIM_CUSTOMDEATH1					59
#define		CHARANIM_CUSTOMDEATH2					60

#define		CHARANIM_W_POSE							70
#define		CHARANIM_W_WALK							71 
#define		CHARANIM_W_RUN							72 
#define		CHARANIM_W_FORWARDRIGHT					73 
#define		CHARANIM_W_STRAFERIGHT					74 
#define		CHARANIM_W_BACKWARDRIGHT				75 
#define		CHARANIM_W_WALKBACKWARD					76  
#define		CHARANIM_W_BACKWARDLEFT					77  
#define		CHARANIM_W_STRAFELEFT					78  
#define		CHARANIM_W_FORWARDLEFT					79  
#define		CHARANIM_W_TURNLEFT						80  
#define		CHARANIM_W_TURNRIGHT					81 
#define		CHARANIM_W_STAND						82 
#define		CHARANIM_W_CROUCH						83 
#define		CHARANIM_W_CUSTOMIDLE1					84 
#define		CHARANIM_W_CUSTOMIDLE2					85 
#define		CHARANIM_W_CUSTOMIDLE3					86 
#define		CHARANIM_W_CUSTOMIDLE4					87 
#define		CHARANIM_W_DODGELEFT					88 
#define		CHARANIM_W_DODGERIGHT					89 
#define		CHARANIM_W_DODGEFORWARD					90 
#define		CHARANIM_W_DODGEBACKWARD				91 
#define		CHARANIM_W_DODGEFORWARDLEFT				92 
#define		CHARANIM_W_DODGEFORWARDRIGHT			93 
#define		CHARANIM_W_DODGEBACKWARDLEFT			94 
#define		CHARANIM_W_DODGEBACKWARDRIGHT			95 
#define		CHARANIM_W_SHOOTDODGELEFT				96 
#define		CHARANIM_W_SHOOTDODGERIGHT				97 
#define		CHARANIM_W_SHOOTDODGEFORWARD			98 
#define		CHARANIM_W_SHOOTDODGEBACKWARD			99 
#define		CHARANIM_W_SHOOTDODGEFORWARDLEFT		100
#define		CHARANIM_W_SHOOTDODGEFORWARDRIGHT		101
#define		CHARANIM_W_SHOOTDODGEBACKWARDLEFT		102
#define		CHARANIM_W_SHOOTDODGEBACKWARDRIGHT		103
#define		CHARANIM_W_SHOOTDODGELEFT_GETUP			104
#define		CHARANIM_W_SHOOTDODGERIGHT_GETUP		105
#define		CHARANIM_W_SHOOTDODGEFORWARD_GETUP		106
#define		CHARANIM_W_SHOOTDODGEBACKWARD_GETUP		107
#define		CHARANIM_W_JUMP							108
#define		CHARANIM_W_JUMPFORWARD					109
#define		CHARANIM_W_JUMPFORWARDLEFT				110
#define		CHARANIM_W_JUMPFORWARDRIGHT				111
#define		CHARANIM_W_FALL							112
#define		CHARANIM_W_LAND							113
#define		CHARANIM_W_USE							114
#define		CHARANIM_W_GETWEAPON					115
#define		CHARANIM_W_HOLSTERWEAPON				116
#define		CHARANIM_W_GETDAMAGE					117
#define		CHARANIM_W_GETDAMAGECROUCHED			118
#define		CHARANIM_W_RANDOMDEATH1					119
#define		CHARANIM_W_RANDOMDEATH2					120
#define		CHARANIM_W_RANDOMDEATH3					121
#define		CHARANIM_W_RANDOMDEATH4					122
#define		CHARANIM_W_SHOTGUNDEATH					123
#define		CHARANIM_W_SHOTGUNDEATH2				124
#define		CHARANIM_W_BURNINGDEATH					125
#define		CHARANIM_W_BURNINGDEATH2				126
#define		CHARANIM_W_FALLINGDEATH					127
#define		CHARANIM_W_GRENADEDEATH					128
#define		CHARANIM_W_CUSTOMDEATH1					129
#define		CHARANIM_W_CUSTOMDEATH2					130

#define		CHARANIM_2_POSE							140
#define		CHARANIM_2_WALK							141
#define		CHARANIM_2_RUN							142
#define		CHARANIM_2_FORWARDRIGHT					143
#define		CHARANIM_2_STRAFERIGHT					144
#define		CHARANIM_2_BACKWARDRIGHT				145
#define		CHARANIM_2_WALKBACKWARD					146
#define		CHARANIM_2_BACKWARDLEFT					147
#define		CHARANIM_2_STRAFELEFT					148
#define		CHARANIM_2_FORWARDLEFT					149
#define		CHARANIM_2_TURNLEFT						150
#define		CHARANIM_2_TURNRIGHT					151
#define		CHARANIM_2_STAND						152
#define		CHARANIM_2_CROUCH						153
#define		CHARANIM_2_CUSTOMIDLE1					154
#define		CHARANIM_2_CUSTOMIDLE2					155
#define		CHARANIM_2_CUSTOMIDLE3					156
#define		CHARANIM_2_CUSTOMIDLE4					157
#define		CHARANIM_2_DODGELEFT					158
#define		CHARANIM_2_DODGERIGHT					159
#define		CHARANIM_2_DODGEFORWARD					160
#define		CHARANIM_2_DODGEBACKWARD				161
#define		CHARANIM_2_DODGEFORWARDLEFT				162
#define		CHARANIM_2_DODGEFORWARDRIGHT			163
#define		CHARANIM_2_DODGEBACKWARDLEFT			164
#define		CHARANIM_2_DODGEBACKWARDRIGHT			165
#define		CHARANIM_2_SHOOTDODGELEFT				166
#define		CHARANIM_2_SHOOTDODGERIGHT				167
#define		CHARANIM_2_SHOOTDODGEFORWARD			168
#define		CHARANIM_2_SHOOTDODGEBACKWARD			169
#define		CHARANIM_2_SHOOTDODGEFORWARDLEFT		170
#define		CHARANIM_2_SHOOTDODGEFORWARDRIGHT		171
#define		CHARANIM_2_SHOOTDODGEBACKWARDLEFT		172
#define		CHARANIM_2_SHOOTDODGEBACKWARDRIGHT		173
#define		CHARANIM_2_SHOOTDODGELEFT_GETUP			174
#define		CHARANIM_2_SHOOTDODGERIGHT_GETUP		175
#define		CHARANIM_2_SHOOTDODGEFORWARD_GETUP		176
#define		CHARANIM_2_SHOOTDODGEBACKWARD_GETUP		177
#define		CHARANIM_2_JUMP							178
#define		CHARANIM_2_JUMPFORWARD					179
#define		CHARANIM_2_JUMPFORWARDLEFT				180
#define		CHARANIM_2_JUMPFORWARDRIGHT				181
#define		CHARANIM_2_FALL							182
#define		CHARANIM_2_LAND							183
#define		CHARANIM_2_USE							184
#define		CHARANIM_2_GETWEAPON					185
#define		CHARANIM_2_HOLSTERWEAPON				186
#define		CHARANIM_2_GETDAMAGE					187
#define		CHARANIM_2_GETDAMAGECROUCHED			188
#define		CHARANIM_2_RANDOMDEATH1					189
#define		CHARANIM_2_RANDOMDEATH2					190
#define		CHARANIM_2_RANDOMDEATH3					191
#define		CHARANIM_2_RANDOMDEATH4					192
#define		CHARANIM_2_SHOTGUNDEATH					193
#define		CHARANIM_2_SHOTGUNDEATH2				194
#define		CHARANIM_2_BURNINGDEATH					195
#define		CHARANIM_2_BURNINGDEATH2				196
#define		CHARANIM_2_FALLINGDEATH					197
#define		CHARANIM_2_GRENADEDEATH					198
#define		CHARANIM_2_CUSTOMDEATH1					199
#define		CHARANIM_2_CUSTOMDEATH2					200

#define		CHARANIM_W_2_POSE						210
#define		CHARANIM_W_2_WALK						211
#define		CHARANIM_W_2_RUN						212
#define		CHARANIM_W_2_FORWARDRIGHT				213
#define		CHARANIM_W_2_STRAFERIGHT				214
#define		CHARANIM_W_2_BACKWARDRIGHT				215
#define		CHARANIM_W_2_WALKBACKWARD				216
#define		CHARANIM_W_2_BACKWARDLEFT				217
#define		CHARANIM_W_2_STRAFELEFT					218
#define		CHARANIM_W_2_FORWARDLEFT				219
#define		CHARANIM_W_2_TURNLEFT					220
#define		CHARANIM_W_2_TURNRIGHT					221
#define		CHARANIM_W_2_STAND						222
#define		CHARANIM_W_2_CROUCH						223
#define		CHARANIM_W_2_CUSTOMIDLE1				224
#define		CHARANIM_W_2_CUSTOMIDLE2				225
#define		CHARANIM_W_2_CUSTOMIDLE3				226
#define		CHARANIM_W_2_CUSTOMIDLE4				227
#define		CHARANIM_W_2_DODGELEFT					228
#define		CHARANIM_W_2_DODGERIGHT					229
#define		CHARANIM_W_2_DODGEFORWARD				230
#define		CHARANIM_W_2_DODGEBACKWARD				231
#define		CHARANIM_W_2_DODGEFORWARDLEFT			232
#define		CHARANIM_W_2_DODGEFORWARDRIGHT			233
#define		CHARANIM_W_2_DODGEBACKWARDLEFT			234
#define		CHARANIM_W_2_DODGEBACKWARDRIGHT			235
#define		CHARANIM_W_2_SHOOTDODGELEFT				236
#define		CHARANIM_W_2_SHOOTDODGERIGHT			237
#define		CHARANIM_W_2_SHOOTDODGEFORWARD			238
#define		CHARANIM_W_2_SHOOTDODGEBACKWARD			239
#define		CHARANIM_W_2_SHOOTDODGEFORWARDLEFT		240
#define		CHARANIM_W_2_SHOOTDODGEFORWARDRIGHT		241
#define		CHARANIM_W_2_SHOOTDODGEBACKWARDLEFT		242
#define		CHARANIM_W_2_SHOOTDODGEBACKWARDRIGHT	243
#define		CHARANIM_W_2_SHOOTDODGELEFT_GETUP		244
#define		CHARANIM_W_2_SHOOTDODGERIGHT_GETUP		245
#define		CHARANIM_W_2_SHOOTDODGEFORWARD_GETUP	246
#define		CHARANIM_W_2_SHOOTDODGEBACKWARD_GETUP	247
#define		CHARANIM_W_2_JUMP						248
#define		CHARANIM_W_2_JUMPFORWARD				249
#define		CHARANIM_W_2_JUMPFORWARDLEFT			250
#define		CHARANIM_W_2_JUMPFORWARDRIGHT			251
#define		CHARANIM_W_2_FALL						252
#define		CHARANIM_W_2_LAND						253
#define		CHARANIM_W_2_USE						254
#define		CHARANIM_W_2_GETWEAPON					255
#define		CHARANIM_W_2_HOLSTERWEAPON				256
#define		CHARANIM_W_2_GETDAMAGE					257
#define		CHARANIM_W_2_GETDAMAGECROUCHED			258
#define		CHARANIM_W_2_RANDOMDEATH1				259
#define		CHARANIM_W_2_RANDOMDEATH2				260
#define		CHARANIM_W_2_RANDOMDEATH3				261
#define		CHARANIM_W_2_RANDOMDEATH4				262
#define		CHARANIM_W_2_SHOTGUNDEATH				263
#define		CHARANIM_W_2_SHOTGUNDEATH2				264
#define		CHARANIM_W_2_BURNINGDEATH				265
#define		CHARANIM_W_2_BURNINGDEATH2				266
#define		CHARANIM_W_2_FALLINGDEATH				267
#define		CHARANIM_W_2_GRENADEDEATH				268
#define		CHARANIM_W_2_CUSTOMDEATH1				269
#define		CHARANIM_W_2_CUSTOMDEATH2				270

#define		CHARANIM_RELOADEMPTY					280
#define		CHARANIM_RELOADLEADPIPE					281
#define		CHARANIM_RELOADBASEBALLBAT				282
#define		CHARANIM_RELOADBERETTA					283
#define		CHARANIM_RELOADBERETTADUAL				284
#define		CHARANIM_RELOADDESERTEAGLE				285
#define		CHARANIM_RELOADSAWEDSHOTGUN				286
#define		CHARANIM_RELOADPUMPSHOTGUN				287
#define		CHARANIM_RELOADINGRAM					288
#define		CHARANIM_RELOADINGRAMDUAL				289
#define		CHARANIM_RELOADMP5						290
#define		CHARANIM_RELOADJACKHAMMER				291
#define		CHARANIM_RELOADMOLOTOV					292
#define		CHARANIM_RELOADGRENADE					293
#define		CHARANIM_RELOADM79						294
#define		CHARANIM_RELOADSNIPER					295
#define		CHARANIM_RELOADPAINKILLER				296
#define		CHARANIM_RELOADBAZOOKA				297

#define		CHARANIM_SHOOTEMPTY						310
#define		CHARANIM_SHOOTLEADPIPE					311
#define		CHARANIM_SHOOTBASEBALLBAT				312
#define		CHARANIM_SHOOTBERETTA					313
#define		CHARANIM_SHOOTBERETTADUAL				314
#define		CHARANIM_SHOOTDESERTEAGLE				315
#define		CHARANIM_SHOOTSAWEDSHOTGUN				316
#define		CHARANIM_SHOOTPUMPSHOTGUN				317
#define		CHARANIM_SHOOTINGRAM					318
#define		CHARANIM_SHOOTINGRAMDUAL				319
#define		CHARANIM_SHOOTMP5						320
#define		CHARANIM_SHOOTJACKHAMMER				321
#define		CHARANIM_SHOOTMOLOTOV					322
#define		CHARANIM_SHOOTGRENADE					323
#define		CHARANIM_SHOOTM79						324
#define		CHARANIM_SHOOTSNIPER					325
#define		CHARANIM_SHOOTPAINKILLER				326
#define		CHARANIM_SHOOTBAZOOKA				327

#define		CHARANIM_SHOOTHIGHEMPTY					340
#define		CHARANIM_SHOOTHIGHLEADPIPE				341
#define		CHARANIM_SHOOTHIGHBASEBALLBAT			342
#define		CHARANIM_SHOOTHIGHBERETTA				343
#define		CHARANIM_SHOOTHIGHBERETTADUAL			344
#define		CHARANIM_SHOOTHIGHDESERTEAGLE			345
#define		CHARANIM_SHOOTHIGHSAWEDSHOTGUN			346
#define		CHARANIM_SHOOTHIGHPUMPSHOTGUN			347
#define		CHARANIM_SHOOTHIGHINGRAM				348
#define		CHARANIM_SHOOTHIGHINGRAMDUAL			349
#define		CHARANIM_SHOOTHIGHMP5					350
#define		CHARANIM_SHOOTHIGHJACKHAMMER			351
#define		CHARANIM_SHOOTHIGHMOLOTOV				352
#define		CHARANIM_SHOOTHIGHGRENADE				353
#define		CHARANIM_SHOOTHIGHM79					354
#define		CHARANIM_SHOOTHIGHSNIPER				355
#define		CHARANIM_SHOOTHIGHPAINKILLER			356
#define		CHARANIM_SHOOTHIGHBAZOOKA			357

#define		CHARANIM_SHOOTLOWEMPTY					370
#define		CHARANIM_SHOOTLOWLEADPIPE				371
#define		CHARANIM_SHOOTLOWBASEBALLBAT			372
#define		CHARANIM_SHOOTLOWBERETTA				373
#define		CHARANIM_SHOOTLOWBERETTADUAL			374
#define		CHARANIM_SHOOTLOWDESERTEAGLE			375
#define		CHARANIM_SHOOTLOWSAWEDSHOTGUN			376
#define		CHARANIM_SHOOTLOWPUMPSHOTGUN			377
#define		CHARANIM_SHOOTLOWINGRAM					378
#define		CHARANIM_SHOOTLOWINGRAMDUAL				379
#define		CHARANIM_SHOOTLOWMP5					380
#define		CHARANIM_SHOOTLOWJACKHAMMER				381
#define		CHARANIM_SHOOTLOWMOLOTOV				382
#define		CHARANIM_SHOOTLOWGRENADE				383
#define		CHARANIM_SHOOTLOWM79					384
#define		CHARANIM_SHOOTLOWSNIPER					385
#define		CHARANIM_SHOOTLOWPAINKILLER				386
#define		CHARANIM_SHOOTLOWBAZOOKA				387

#define		CHARANIM_DISCARDEMPTY					400
#define		CHARANIM_DISCARDLEADPIPE				401
#define		CHARANIM_DISCARDBASEBALLBAT				402
#define		CHARANIM_DISCARDBERETTA					403
#define		CHARANIM_DISCARDBERETTADUAL				404
#define		CHARANIM_DISCARDDESERTEAGLE				405
#define		CHARANIM_DISCARDSAWEDSHOTGUN			406
#define		CHARANIM_DISCARDPUMPSHOTGUN				407
#define		CHARANIM_DISCARDINGRAM					408
#define		CHARANIM_DISCARDINGRAMDUAL				409
#define		CHARANIM_DISCARDMP5						410
#define		CHARANIM_DISCARDJACKHAMMER				411
#define		CHARANIM_DISCARDMOLOTOV					412
#define		CHARANIM_DISCARDGRENADE					413
#define		CHARANIM_DISCARDM79						414
#define		CHARANIM_DISCARDSNIPER					415
#define		CHARANIM_DISCARDPAINKILLER				416
#define		CHARANIM_DISCARDBAZOOKA				417

#define		CHARANIM_MODESWITCHEMPTY				430
#define		CHARANIM_MODESWITCHLEADPIPE				431
#define		CHARANIM_MODESWITCHBASEBALLBAT			432
#define		CHARANIM_MODESWITCHBERETTA				433
#define		CHARANIM_MODESWITCHBERETTADUAL			434
#define		CHARANIM_MODESWITCHDESERTEAGLE			435
#define		CHARANIM_MODESWITCHSAWEDSHOTGUN			436
#define		CHARANIM_MODESWITCHPUMPSHOTGUN			437
#define		CHARANIM_MODESWITCHINGRAM				438
#define		CHARANIM_MODESWITCHINGRAMDUAL			439
#define		CHARANIM_MODESWITCHMP5					440
#define		CHARANIM_MODESWITCHJACKHAMMER			441
#define		CHARANIM_MODESWITCHMOLOTOV				442
#define		CHARANIM_MODESWITCHGRENADE				443
#define		CHARANIM_MODESWITCHM79					444
#define		CHARANIM_MODESWITCHSNIPER				445
#define		CHARANIM_MODESWITCHPAINKILLER			446
#define		CHARANIM_MODESWITCHBAZOOKA		447
